﻿@page
@model LoginModel

@{
    ViewData["Title"] = "ورود به لامینگو";
}

<div id="registerFormWrapper">
    <div class="container" id="RegisterForm">
        <div class="card bg-light">
            <article data-aos="fade-right" data-aos-duration="1000" data-aos-once="true" class="card-body mx-auto" style="max-width: 400px;">
               <h4 class="card-title mt-3 text-center">ورود به حساب کاربری </h4>

               <form id="account" method="post">
                   <div asp-validation-summary="All" class="text-danger"></div>
                   @{
                       if (Model.ShowResend)
                       {
                           <p id="Resend">
                               <a asp-page="./UnconfirmedEmail"
                                  asp-route-userId="@Model.UserId">ارسال مجدد لینک فعال سازی به ایمیل ؟</a>
                           </p>
                       }
                   }

                   <p style="font-weight: 500;font-size: 13px;color: #6e1529;">کاربر گرامی لطفا از صفحه کلید انگلیسی استفاده نمائید .</p>
                   <div class="form-group input-group">
                       <input asp-for="Input.UserName" class="form-control login" placeholder="نام کاربری یا شماره موبایل" />
                       <div class="input-group-prepend">
                           <span class="input-group-text"> <i class="fa fa-user-circle-o"></i> </span>
                       </div>
                   </div>
                   <div class="form-group input-group">
                       <input asp-for="Input.Password" class="form-control" login placeholder="رمز عبور" />
                       <i id="PasswordShow" class="fa fa-eye-slash"></i>
                       <div class="input-group-prepend">
                           <span class="input-group-text"> <i class="fa fa-lock"></i> </span>
                       </div>
                   </div>
                   <div class="form-group">
                       <div class="checkbox text-right">
                           <label asp-for="Input.RememberMe" style="direction:rtl;margin:0;">
                               <input asp-for="Input.RememberMe" />
                               @Html.DisplayNameFor(m => m.Input.RememberMe)
                           </label>
                       </div>
                   </div>
                   <div class="form-group">
                       <button type="submit" class="btn btn-success  login">ورود </button>
                   </div>
                   <p class="text-center float-right">
                       <a id="forgot-password" asp-page="./ForgotPassword">رمز عبور را فراموش کرده ام </a>
                       @*<div class="form-group Remember">
                <div class="checkbox">
                    <label asp-for="Input.RememberMe">
                        <input asp-for="Input.RememberMe" />
                        @Html.DisplayNameFor(m => m.Input.RememberMe)
                    </label>
                </div>
            </div>*@
                   </p>
                   <p class="text-left" style="font-size:13px;margin-bottom:0;"><a asp-page="./Register" asp-route-returnUrl="@Model.ReturnUrl">  ثبت نام در لامینگو  </a> </p>
               </form>
                      @*<p class="divider-text">
                       <span> </span>
                      </p>*@
               
                <form id="external-account" asp-page="./ExternalLogin" asp-route-returnUrl="@Model.ReturnUrl" method="post" class="form-horizontal">
                    <p>
                        @foreach (var provider in Model.ExternalLogins)
                        {
                            string cl = "";
                            string Name = "";
                            string font = "";
                            cl = provider.Name == "Facebook" ? "btn btn-block btn-facebook" : provider.Name == "Google" ? "btn btn-block btn-google" : "btn btn-block btn-Microsoft";
                            Name = provider.Name == "Facebook" ? "فیسبوک" : provider.Name == "Google" ? "گوگل" : "مایکروسافت";
                            font = provider.Name == "Facebook" ? "fa fa-facebook-f" : provider.Name == "Google" ? "fa fa-google-plus" : "fa fa-windows";

                        <button type="submit" class="@cl" name="provider" value="@provider.Name" title="ورود از طریق اکانت @Name">
                            <i class="@font"></i>
                            ورود از طریق @provider.Name
                        </button>
                        }
                    </p>
                </form>
            </article>
        </div>
    </div>
</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />

}



